Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class DeleteTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssembler
          org.apache.cayenne.access.trans.DeleteTranslator

Deprecated. since 3.0 since `DeleteQuery` is deprecated.

    public class DeleteTranslator

extends QueryAssembler

Class implements default translation mechanism of org.apache.cayenne.query.DeleteQuery objects to SQL DELETE statements.

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.QueryAssembler
`adapter, attributes, connection, entityResolver, parameterIndex, query, queryMetadata, values`

Constructor Summary
`DeleteTranslator()` Deprecated.

Method Summary
`String` | `createSqlString()` Deprecated. Main method of DeleteTranslator class.
`void` | `dbRelationshipAdded(DbRelationship relationship, JoinType joinType, String joinAplitAlias)` Deprecated. Appends a join with given semantics to the query.
`String` | `getCurrentAlias()` Deprecated. Returns an alias of the table which is currently at the top of the join stack.
`void` | `resetJoinStack()` Deprecated. A callback invoked by a child qualifier or ordering processor allowing query assembler to reset its join stack.

Methods inherited from class org.apache.cayenne.access.trans.QueryAssembler
`addToParamList, createStatement, getAdapter, getEntityResolver, getPathAliases, getQuery, getQueryMetadata, getRootDbEntity, getRootEntity, getRootInheritanceTree, initStatement, setAdapter, setConnection, setEntityResolver, setQuery, supportsTableAliases`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTranslator

    public DeleteTranslator()

  Deprecated.

Method Detail

### dbRelationshipAdded

    public void dbRelationshipAdded(DbRelationship relationship,
                                    JoinType joinType,
                                    String joinAplitAlias)

  Deprecated.
  Description copied from class: `QueryAssembler`
  Appends a join with given semantics to the query.

  Specified by:
    `dbRelationshipAdded` in class `QueryAssembler`

### getCurrentAlias

    public String getCurrentAlias()

  Deprecated.
  Description copied from class: `QueryAssembler`
  Returns an alias of the table which is currently at the top of the join stack.

  Specified by:
    `getCurrentAlias` in class `QueryAssembler`

### resetJoinStack

    public void resetJoinStack()

  Deprecated.
  Description copied from class: `QueryAssembler`
  A callback invoked by a child qualifier or ordering processor allowing query assembler to reset its join stack.

  Specified by:
    `resetJoinStack` in class `QueryAssembler`

### createSqlString

    public String createSqlString()
                           throws Exception

  Deprecated.
  Main method of DeleteTranslator class. Translates DeleteQuery into a JDBC PreparedStatement

  Specified by:
    `createSqlString` in class `QueryAssembler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.